import gcstats;

import std.file;
import std.gc;
import std.stdio;

version (Win32)
{
	import std.c.windows.windows;
}

//import esdcl;

void print(GCStats s) {
	printf("%d, %d, %d, %d, %d\n", s.poolsize, s.usedsize, s.freeblocks, s.freelistsize, s.pageblocks);
}

void testLoad() {
	for (uint i = 0; i < 10; i++) {
		char[] source = cast(char[]) std.file.read("esdcl.d");
		if (source[source.length-1] != 0) {
			source.length = source.length + 1;
			source[source.length-1] = 0;
		}
	}
	GCStats s;
	getStats(s);
	print(s);
}

void testgc() {
	for (uint i = 0; i < 5; i++) {
		testLoad();
		version (Win32) {
			Sleep(1000);
		}
	}
}

int main (char[][] args) {
	testgc();
		
	return 0;
}